Data Structures | Functions

# newgrf_airporttiles.h File Reference

NewGRF handling of airport tiles. More...

`#include "airport.h"`
`#include "station_map.h"`
`#include "newgrf_animation_type.h"`
`#include "newgrf_commons.h"`
`#include "newgrf_spritegroup.h"`

Go to the source code of this file.

## Data Structures
struct | AirportTileScopeResolver
| Scope resolver for handling the tiles of an airport. More...
struct | AirportTileResolverObject
| Resolver for tiles of an airport. More...
struct | AirportTileSpec
| Defines the data structure of each individual tile of an airport. More...
## Functions
StationGfx | GetTranslatedAirportTileID (StationGfx gfx)
| Do airporttile gfx ID translation for NewGRFs.
void | AnimateAirportTile (TileIndex tile)
void | AirportTileAnimationTrigger (Station *st, TileIndex tile, AirpAnimationTrigger trigger, CargoID cargo_type=CT_INVALID)
void | AirportAnimationTrigger (Station *st, AirpAnimationTrigger trigger, CargoID cargo_type=CT_INVALID)
bool | DrawNewAirportTile (TileInfo *ti, Station *st, StationGfx gfx, const AirportTileSpec *airts)

## Detailed Description

NewGRF handling of airport tiles.

Definition in file newgrf_airporttiles.h.

## Function Documentation

StationGfx GetTranslatedAirportTileID | ( | StationGfx | gfx | ) |

Do airporttile gfx ID translation for NewGRFs.

Parameters:

  | gfx | the type to get the override for.

Returns:
  the gfx to actually work with.

Definition at line 95 of file newgrf_airporttiles.cpp.

References AirportTileSpec::Get(), AirportTileSpec::grf_prop, INVALID_AIRPORTTILE, and GRFFileProps::override.

Referenced by CmdBuildAirport(), and GetAirportGfx().